.global-container{
    background-image: url("../img/background-image.png");
    background-size: cover;
    font-family: Ubuntu, sans-serif;

}

/*--------------*/
/*navbar-section*/
/*--------------*/

.navbar-container{
    background: rgba(0, 0, 0, 0.4);
    color: white;
    display: block;
    padding: 20px 0;
}

.navbar-logo{
    top: 19px;
    color: white;
    font-size: 22px;
    display: inline-block;
    text-decoration: none;
    font-weight: 600;
    padding-left: 90px;
}

.navbar-logo:hover{
   color: #3CB878;
}

.navbar-right-part{
    float: right;
    vertical-align: middle;
    display: block;
}

.navbar-icons-text{
    display: inline-block;
    vertical-align: middle;
    height: 28px;
}

.navbar-pictogram{
    display: inline-block;
    margin-right: 28px;
    vertical-align: middle;
}

.navbar-ic-calendar{
    width: 20px;
    height: 20px;
    background: url('../img/navbar-icons.png') -106px -10px;
}

.navbar-ic-calendar:hover{
    background: url("../img/navbar-icons.png") -106px -50px;
}

.navbar-ic-forum{
    width: 28px;
    height: 20px;
    background: url('../img/navbar-icons.png') -58px -10px;
}

.navbar-ic-forum:hover{
    background: url("../img/navbar-icons.png") -10px -10px;
}

.navbar-ic-journey{
    width: 20px;
    height: 20px;
    background: url('../img/navbar-icons.png') -50px -50px;
}

.navbar-ic-journey:hover{
    background: url("../img/navbar-icons.png") -10px -50px;
}

.navbar-welcome-text{
    display: inline-block;
    margin: 0 auto;
    padding-right: 110px;
    border-left: 0.6px solid rgba(255, 255, 255, 0.9);
    padding-left: 28px;
    vertical-align: middle;
    line-height: 28px;
}

.clearfix::after {
    content: "";
    clear: both;
    display: table;
}

.navbar-welcome-log{
    margin-right: 12px;
    color: white;
    display: inline-block;
    text-decoration: none;
}

.navbar-welcome-sign{
    color: white;
    display: inline-block;
    text-decoration: none;
}

.navbar-welcome-log:hover{
    color: #3CB878;
}

.navbar-welcome-sign:hover{
    color: #3CB878;;
}

/*-----------------*/
/*Auth-form-section*/
/*-----------------*/
.content-container{
    height:  calc(100vh - 65px);
    text-align: center;
}
.align-helper{
    vertical-align: middle;
    height: 100%;
    display: inline-block;
}

.auth-form-container{
    width: 444px;
    background-color: white;
    display: inline-block;
    margin: 0 auto;
    padding: 30px 60px;
    box-sizing: border-box;
    position: relative;
    border-radius: 4px;
    vertical-align: middle;
    text-align: initial;
}

.auth-form-title{
    margin: 0 auto;
    display: block;
    font-size: 20px;
}

.auth-form-title::before{
    position: absolute;
    left: 0;
    width: 18px;
    height: 18px;
    background-color: #3CB878;
    content: "";
    display: inline-block;
}

.auth-form-login-link{
    color: #3CB878;
    font-size: 14px;
    text-decoration: none;
    float: right;
}

/*sign up buttons*/

.sign-up-button {
    border-radius: 4px;
    padding: 10px 13px;
    display: inline-block;
    font-size: 16px;
    color: white;
    text-decoration: none;
    margin-top: 18px;
}

.facebook-sign-up-button{
    background-color: #305DB8;
}

.facebook-logo{
    background: url("../img/social-icons.png") -10px -46px;
    width: 10px;
    height: 20px;display: inline-block;
    padding-right: 13px;
    margin-left: 6px;
}

.google-logo{
    background: url("../img/social-icons.png") -10px -10px;
    width: 25px;
    height: 16px;
    display: inline-block;
    padding-right: 4px;
}

.google-sign-up-button{
    background-color: #DF4A32;;
}

.signup-button-text{
    line-height: 28px;
    width: 100px;
    text-align: center;
    display: inline-block;
    border-left: 1px solid rgba(0, 0, 0, 0.1);
}

.divider-container{
    margin: 15px 0;
}

.auth-form-divider{
    width: 136px;
    display: inline-block;
    background-color: #e5e5e5;
    vertical-align: middle;
    height: 1px;
    border-width: 0;
}

.divider-title{
    font-size: 14px;
    color: #848484;
    display: inline-block;
    padding: 0 14px;
}


.form-registration-container{
    margin: 0 auto;
}

.form-registration{
    font-size: 14px;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
    padding: 17px 18px;
    width: 100%;
    margin: 6px 0;
    box-sizing: border-box;
    color: #434343;
}

.form-registration::placeholder{
    color: #BEBEBE;
}

.form-registration:focus{
    box-shadow: 0 3px 8px rgba(0, 0, 0, 0.21);
    transition: 0.2s;
    outline: none;
    margin: 2px 0 10px;
}

/*--------*/
/*CHECKBOX*/
/*--------*/

.form-registration-checkbox{
    display: block;
    position: relative;
    padding: 5px 0 0 35px;
    cursor: pointer;
    font-size: 14px;
    user-select: none;
    margin: 18px 0 12px;
}
.form-registration-checkbox input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.checkmark{
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    border: 1px solid #F2F2F2;
}

.checkmark:after{
    content: "";
    position: absolute;
    display: none;
}

.form-registration-checkbox input:checked ~ .checkmark:after{
    display: block;
}

.form-registration-checkbox .checkmark:after{
    left: 8px;
    top: 2px;
    width: 8px;
    height: 17px;
    border: solid #3CB878;
    border-width: 0 2px 2px 0;
    transform: rotate(30deg);
}

.form-registration-checkbox-link{
    text-decoration: none;
    color: #3CB878;
}

/*---------------*/
/*Button*/
/*---------------*/

.create-account-button{
    width: 322px;
    height: 46px;
    background-color: #3CB878;
    border-radius: 4px;
    text-align: center;
    color: white;
    margin-top: 26px;
    border: none;
    outline: none;
    cursor: pointer;
}

